Add team member

POST /api/v1/advisory-firms/{firm_id}/teams/{team_id}/members

Add a firm staff member to a team.

Operation ID: add_team_member_api_v1_advisory_firms__firm_id__teams__team_id__members_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

firm_id string required
team_id string required

Request body

user_id string required

User ID to add to the team.

Responses

201 Successful Response

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object